<?php
/*
*  @author William Bedón P.
*  @version  Release: 1.0
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*/

if (!defined('_PS_VERSION_')) exit;

class WBSearch extends Module {
    public function __construct(){
        $this->name = 'WBSearch';
        $this->tab = 'front_office_features';
        $this->version = '1.0';
        $this->author = 'William Bedón P.';
		//$this->need_instance = 0;

        parent::__construct();

        $this->displayName = $this->l('Buscador de partes');
        $this->description = $this->l('Módulo para la búsqueda de partes.');
    }

    public function install(){
        if ( parent::install() == false OR !$this->registerHook( 'leftColumn' ) )
            return false;
        return true;
    }

    public function uninstall(){
        if ( !parent::uninstall() ) Db::getInstance()->Execute( 'DELETE FROM `' . _DB_PREFIX_ . 'WBSearch`' );
        parent::uninstall();
    }

    public function hookLeftColumn( $params ){
        global $smarty;
        return $this ->display( __FILE__, 'WBSearch.tpl' );
    }  
    
    public function hookRightColumn( $params ){
        return $this->hookLeftColumn( $params );
    }
	
	public function hookTop( $params ){
        return $this->hookLeftColumn( $params );
    }
}